Pistis
API referenceSharing

List who a session is shared with

GET
/sessions/{id}/shares

Needs a person's token and the right to share the session.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

Response Body

People and links

application/json
  1. response
items*array<>
links*array<>
Example Request
curl -X GET 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/shares'
Example Response
{  "items": [    {      "principal": "string",      "role": "viewer",      "grantedBy": "string",      "grantedAt": 0    }  ],  "links": [    {      "linkId": "string",      "role": "viewer",      "expiresAt": 0    }  ]}